%define upstream_name Method-Alias
%define upstream_version 1.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Create method aliases (and do it safely)
Source:     http://www.cpan.org/modules/by-module/Method/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
For a very long time, whenever I wanted to have a method alias (provide an
alternate name for a method) I would simple do a GLOB alias. That is,

  \# My method
  sub foo {
      ...
  }
  
  \# Alias the method
  *bar = *foo;

While this works fine for functions, it does *not* work for methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc Changes LICENSE README
%{_mandir}/man3/*
%{perl_vendorlib}/Method


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.30.0-4pclos2017
- rebuild against updates

